@font-face {
  font-family: 'Young Serif', serif;
  src: url();
}
body{
  background-image: url(img/fondo4.png);
  background-size: cover;
}
.inputs{
  width: 90%;
  height: 50px;
  border-radius: 12px;
  color: black!important;
  text-align: center;
}
.botones{
  width: 90%;
    margin: auto;
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Young Serif';
}
/* Denuncia */
#seccionPopupDenuncia{
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0,0,0,0.8);
  display: none;
}
#segundaParte{
  display: none;
}
/* POPUP REGISTRARSE */
#irARegistrar{
  width: 100%;
  margin: auto;
}
#popupLoguear{
  background-color: rgba(0,0,0,0.8);
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 55;
  display: none;
}
.contenedorCarta{
  width: 90%;
  margin: auto;
  margin-top: 30%;
}
.card{
  margin: auto!important;
  text-align: center!important;
  width: 100%!important;
  height: 90vh;
  box-shadow: 0px 10px 5px -4px rgba(0,0,0,0.46);
-webkit-box-shadow: 0px 10px 5px -4px rgba(0,0,0,0.46);
-moz-box-shadow: 0px 10px 5px -4px rgba(0,0,0,0.46);/* 
  background-image: url(img/fondo2.jpg);
  background-repeat: no-repeat;
  background-size: cover; */
}
#carta{
  width: 100%;
  height: 80%!important;
}
#contenedorMeGusta{
    position: relative;
    right: 2%;
    font-size: 2rem;
}
.contenedorImagen{
  width: 60%;
  margin: auto;
}
.contenedorImagen img{
  width: 100%;
}
#listaVacia{
  margin-top: 50%;
  display: none;
}
#listaVacia h2{
  text-align: center;
  font-size: 2rem;
}

.alert{
  width: 100%!important;
}
#navMeGusta{
  display: block;
}
#contenedorMeGusta{
  display: none;
}
#siguiente,#meGusta{
  font-size: 2rem;
  padding: 0 10%;
  border-radius: 24px;
}
/* PUBLICIDAD COTAGRO */
#seccionPublicidad{
  background-color: rgba(0,0,0,0.8);
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 56;
  display: none;
}
#contenedorPublicidad{
  position: absolute;
  width: 80%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
#publicidad{
  width: 100%;
  margin: auto;
  border: 4px solid white;
}
#cerrarPublicidad{
  text-align: center;
  text-decoration: none;
  color: white;
  position: absolute;
  top: 110%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: gray;
  padding: 2% 3%;
  border-radius: 50%;
}

/* FOOTER */
footer{
  margin-top: 50%;
  background-color: black;
  color: white;
  padding: 0% 0;
  text-align: center;
  padding: 2% 0;
}
#redes{
  display: flex;
  justify-content:space-evenly;
  align-items: center;
}
#redes div i{
  font-size: 2rem;
}

/* ANIMACION CARGANDO */

/* Absolute Center Spinner */
#cargando{
    display: none;
    position: fixed;
    background-color: black;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}
.loading {
    position: fixed;
    z-index: 999;
    height: 2em;
    width: 2em;
    overflow: visible;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
  }
  
  /* Transparent Overlay */
  .loading:before {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #3b5998;
  }
  
  /* :not(:required) hides these rules from IE9 and below */
  .loading:not(:required) {
    /* hide "loading..." text */
    font: 0/0 a;
    color: transparent;
    text-shadow: none;
    background-color: transparent;
    border: 0;
  }
  
  .loading:not(:required):after {
    content: '';
    display: block;
    font-size: 20px;
    width: 1em;
    height: 1em;
    margin-top: -0.5em;
    -webkit-animation: spinner 1500ms infinite linear;
    -moz-animation: spinner 1500ms infinite linear;
    -ms-animation: spinner 1500ms infinite linear;
    -o-animation: spinner 1500ms infinite linear;
    animation: spinner 1500ms infinite linear;
    border-radius: 0.5em;
    -webkit-box-shadow: rgba(255, 255, 255, 0.75) 1.5em 0 0 0, rgba(255, 255, 255, 0.75) 1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) 0 1.5em 0 0, rgba(255, 255, 255, 0.75) -1.1em 1.1em 0 0, rgba(255, 255, 255, 0.5) -1.5em 0 0 0, rgba(255, 255, 255, 0.5) -1.1em -1.1em 0 0, rgba(255, 255, 255, 0.75) 0 -1.5em 0 0, rgba(255, 255, 255, 0.75) 1.1em -1.1em 0 0;
    box-shadow: rgba(255, 255, 255, 0.75) 1.5em 0 0 0, rgba(255, 255, 255, 0.75) 1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) 0 1.5em 0 0, rgba(255, 255, 255, 0.75) -1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) -1.5em 0 0 0, rgba(255, 255, 255, 0.75) -1.1em -1.1em 0 0, rgba(255, 255, 255, 0.75) 0 -1.5em 0 0, rgba(255, 255, 255, 0.75) 1.1em -1.1em 0 0;
  }
  
  /* Animation */
  
  @-webkit-keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  @-moz-keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  @-o-keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  @keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }



/* FIN ANIMACION CARGANDO */
.cat {
  position: relative;
  height: 170px;
  width: 192.1px;
}

.ear {
  position: absolute;
  top: -30%;
  height: 60%;
  width: 25%;
  background: #fff;
}
.ear::before, .ear::after {
  content: "";
  position: absolute;
  bottom: 24%;
  height: 10%;
  width: 5%;
  border-radius: 50%;
  background: #161616;
}
.ear::after {
  transform-origin: 50% 100%;
}

.ear--left {
  left: -7%;
  border-radius: 70% 30% 0% 0%/100% 100% 0% 0%;
  transform: rotate(-15deg);
}
.ear--left::before, .ear--left::after {
  right: 10%;
}
.ear--left::after {
  transform: rotate(-45deg);
}

.ear--right {
  right: -7%;
  border-radius: 30% 70% 0% 0%/100% 100% 0% 0%;
  transform: rotate(15deg);
}
.ear--right::before, .ear--right::after {
  left: 10%;
}
.ear--right::after {
  transform: rotate(45deg);
}

.face {
  position: absolute;
  height: 100%;
  width: 100%;
  background: #161616;
  border-radius: 50%;
}

.eye {
  position: absolute;
  top: 35%;
  height: 30%;
  width: 31%;
  background: #fff;
  border-radius: 50% 50% 50% 50%/60% 60% 40% 40%;
}
.eye::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 0;
  width: 100%;
  border-radius: 0 0 50% 50%/0 0 40% 40%;
  background: #161616;
  animation: blink 4s infinite ease-in;
}
@keyframes blink {
  0% {
    height: 0;
  }
  90% {
    height: 0;
  }
  92.5% {
    height: 100%;
  }
  95% {
    height: 0;
  }
  97.5% {
    height: 100%;
  }
  100% {
    height: 0;
  }
}
.eye::before {
  content: "";
  position: absolute;
  top: 60%;
  height: 10%;
  width: 15%;
  background: #fff;
  border-radius: 50%;
}

.eye--left {
  left: 0;
}
.eye--left::before {
  right: -5%;
}

.eye--right {
  right: 0;
}
.eye--right::before {
  left: -5%;
}

.eye-pupil {
  position: absolute;
  top: 25%;
  height: 50%;
  width: 20%;
  background: #161616;
  border-radius: 50%;
  animation: look-around 4s infinite;
}
@keyframes look-around {
  0% {
    transform: translate(0);
  }
  5% {
    transform: translate(50%, -25%);
  }
  10% {
    transform: translate(50%, -25%);
  }
  15% {
    transform: translate(-100%, -25%);
  }
  20% {
    transform: translate(-100%, -25%);
  }
  25% {
    transform: translate(0, 0);
  }
  100% {
    transform: translate(0, 0);
  }
}
.eye--left .eye-pupil {
  right: 30%;
}
.eye--right .eye-pupil {
  left: 30%;
}
.eye-pupil::after {
  content: "";
  position: absolute;
  top: 30%;
  right: -5%;
  height: 20%;
  width: 35%;
  border-radius: 50%;
  background: #fff;
}

.muzzle {
  position: absolute;
  top: 60%;
  left: 50%;
  height: 6%;
  width: 10%;
  background: #fff;
  transform: translateX(-50%);
  border-radius: 50% 50% 50% 50%/30% 30% 70% 70%;
}

/* General page styling */
#cargando {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #161616;
  z-index: 10000;
}
header{
  display: block;
}
#barraLateral{
  display: none;
}
#cuerpoCarta{
  background-image: url(img/fondo3.jpg);
}
#cuerpoCarta h2{
  margin: auto;
}
.sacarFondo{
  background-image: none;
}

/* seccion donde aparecen los me gusta */
#donde{
    position: fixed;
    background-color: black;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 10000;
}




@media (min-width:480px){
  #navMeGusta{
      display: none;
  }
  #contenedorMeGusta{
    display: block;
      position: relative;
      right: 2%;
      font-size: 2rem;
  }
  .contenedorCarta{
    width: 100%;
    margin: auto;
    margin-top: 5%;
  }
  #carta{
    width: 100%;
    height: 80%!important;
  }
  .card{
    margin: auto!important;
    text-align: center!important;
    width: 30%!important;
    height: 30vh;
  }
  header{
    display: none;
  }
  #barraLateral{
    display: block;
  }
  body{
    background-image: url(img/fondo.jpg);
    background-repeat: no-repeat;
    background-size: cover;
  }
  .card-body{
    background-color: white;
    box-shadow: 6px 6px 5px -1px rgba(0,0,0,0.3);
    -webkit-box-shadow: 6px 6px 5px -1px rgba(0,0,0,0.3);
    -moz-box-shadow: 6px 6px 5px -1px rgba(0,0,0,0.3);
  }
  #listaVacia{
    margin-top: 10%;
  }
  .contenedorImagen{
    width: 40%;
    margin: auto;
  }


  #contenedorPublicidad{
    position: absolute;
    text-align: center;
    width: 80%;
    margin: auto;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
  #publicidad{
    width: 30%;
    margin: auto;
    margin-bottom: 5%;
    border: 4px solid white;
  }
  footer{
    margin-top: 50%;
  }
  
}









/* sidebar */

/* The sidebar menu */
.sidebar {
  height: 100%; /* 100% Full-height */
  width: 0; /* 0 width - change this with JavaScript */
  position: fixed; /* Stay in place */
  z-index: 1; /* Stay on top */
  top: 0;
  left: 0;
  background-color: #111; /* Black*/
  overflow-x: hidden; /* Disable horizontal scroll */
  padding-top: 60px; /* Place content 60px from the top */
  transition: 0.5s; /* 0.5 second transition effect to slide in the sidebar */
}

/* The sidebar links */
.sidebar a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

/* When you mouse over the navigation links, change their color */
.sidebar a:hover {
  color: #f1f1f1;
}

/* Position and style the close button (top right corner) */
.sidebar .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

/* The button used to open the sidebar */
.openbtn {
  font-size: 20px;
  cursor: pointer;
  background-color: #111;
  color: white;
  padding: 10px 15px;
  border: none;
}

.openbtn:hover {
  background-color: #444;
}

/* Style page content - use this if you want to push the page content to the right when you open the side navigation */
#main {
  transition: margin-left .5s; /* If you want a transition effect */
  padding: 0%;
}

/* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
@media screen and (max-height: 450px) {
  .sidebar {padding-top: 15px;}
  .sidebar a {font-size: 18px;}
}
